com.aliyun.svideosdk.common.struct.effect

## Class EffectBean

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBean

-     public class EffectBean
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getDuration()`
    `int` | `getId()`
    `int` | `getMvAudioId()` 获取mv的音频流id
    `int` | `getOldId()` 获取恢复前的资源id，仅用于恢复后的资源
    `java.lang.String` | `getPath()` Deprecated. 使用 `getSource()`替代
    `Source` | `getSource()` 获取资源
    `long` | `getStartTime()`
    `long` | `getStreamDuration()`
    `long` | `getStreamStartTime()`
    `int` | `getWeight()`
    `void` | `setDuration(long durationUs)` 设置特效作用持续时间，目前只对音乐有效，即从开始时间点开始特效的作用时间长度
    `void` | `setId(int id)` 设置资源ID
    `void` | `setMvAudioId(int audioId)` 设置mv的音频流id 不建议用户调用
    `void` | `setOldId(int oldId)` 设置旧资源id，不建议用户使用
    `void` | `setPath(java.lang.String path)` Deprecated. 使用 `setSource(Source)`替代
    `void` | `setSource(Source source)` 设置资源
    `void` | `setStartTime(long startTimeUs)` 设置特效作用的开始时间点，目前只对音乐有效，开始时间是指音乐在视频播放时间轴上开始播放的时间点
    `void` | `setStreamDuration(long streamDurationUs)` 设置在特效流上的时长
    `void` | `setStreamStartTime(long streamStartTimeUs)` 设置在特效流上的开始时间
    `void` | `setWeight(int weight)` 设置权重，混音权重

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectBean

          public EffectBean()

  - ### Method Detail

    - #### getWeight

          public int getWeight()

    - #### setWeight

          public void setWeight(int weight)

      设置权重，混音权重
      Parameters:
        `weight` - [0, 100]

    - #### getStreamStartTime

          public long getStreamStartTime()

    - #### setStreamStartTime

          public void setStreamStartTime(long streamStartTimeUs)

      设置在特效流上的开始时间
      Parameters:
        `streamStartTimeUs` - 单位：微秒

    - #### getStreamDuration

          public long getStreamDuration()

    - #### setStreamDuration

          public void setStreamDuration(long streamDurationUs)

      设置在特效流上的时长
      Parameters:
        `streamDurationUs` - 单位：微秒

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

      设置资源ID
      Parameters:
        `id` -

    - #### getOldId

          public int getOldId()

      获取恢复前的资源id，仅用于恢复后的资源
      Returns:
        恢复前资源id

    - #### setOldId

          public void setOldId(int oldId)

      设置旧资源id，不建议用户使用
      Parameters:
        `oldId` - 旧资源id

    - #### getPath

          @Deprecated
          public java.lang.String getPath()

      Deprecated. 使用 `getSource()`替代
      获取资源文件路径
      Returns:
        资源文件路径

    - #### setPath

          @Deprecated
          public void setPath(java.lang.String path)

      Deprecated. 使用 `setSource(Source)`替代
      设置资源文件路径
      Parameters:
        `path` -

    - #### getSource

          public Source getSource()

      获取资源
      Returns:
        资源

    - #### setSource

          public void setSource(Source source)

      设置资源
      Parameters:
        `source` - 资源

    - #### getStartTime

          public long getStartTime()

    - #### setStartTime

          public void setStartTime(long startTimeUs)

      设置特效作用的开始时间点，目前只对音乐有效，开始时间是指音乐在视频播放时间轴上开始播放的时间点
      Parameters:
        `startTimeUs` - 单位：微秒

    - #### getDuration

          public long getDuration()

    - #### setDuration

          public void setDuration(long durationUs)

      设置特效作用持续时间，目前只对音乐有效，即从开始时间点开始特效的作用时间长度
      Parameters:
        `durationUs` - 单位：微秒

    - #### setMvAudioId

          public void setMvAudioId(int audioId)

      设置mv的音频流id 不建议用户调用
      Parameters:
        `audioId` - 音频流id

    - #### getMvAudioId

          public int getMvAudioId()

      获取mv的音频流id
      Returns:
        音频流id

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`